Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::scene::SMD3QuaternionTagList Struct Reference

holds a associative list of named quaternions More...

`#include <IAnimatedMeshMD3.h>`

List of all members.

## Public Member Functions

SMD3QuaternionTag * | get (const core::stringc &name)
SMD3QuaternionTagList & | operator= (const SMD3QuaternionTagList &copyMe)
SMD3QuaternionTag & | operator[] (u32 index)
const SMD3QuaternionTag & | operator[] (u32 index) const
void | push_back (const SMD3QuaternionTag &other)
void | set_used (u32 new_size)
u32 | size () const
| SMD3QuaternionTagList (const SMD3QuaternionTagList &copyMe)
| SMD3QuaternionTagList ()
virtual | ~SMD3QuaternionTagList ()

## Detailed Description

holds a associative list of named quaternions

Definition at line 210 of file IAnimatedMeshMD3.h.

## Constructor & Destructor Documentation

irr::scene::SMD3QuaternionTagList::SMD3QuaternionTagList | ( |  | ) | `[inline]`

Definition at line 212 of file IAnimatedMeshMD3.h.

irr::scene::SMD3QuaternionTagList::SMD3QuaternionTagList | ( | const SMD3QuaternionTagList & | copyMe | ) | `[inline]`

Definition at line 218 of file IAnimatedMeshMD3.h.

virtual irr::scene::SMD3QuaternionTagList::~SMD3QuaternionTagList | ( |  | ) | `[inline, virtual]`

Definition at line 223 of file IAnimatedMeshMD3.h.

## Member Function Documentation

SMD3QuaternionTag* irr::scene::SMD3QuaternionTagList::get | ( | const core::stringc & | name | ) | `[inline]`

Definition at line 225 of file IAnimatedMeshMD3.h.

SMD3QuaternionTagList& irr::scene::SMD3QuaternionTagList::operator= | ( | const SMD3QuaternionTagList & | copyMe | ) | `[inline]`

Definition at line 265 of file IAnimatedMeshMD3.h.

References irr::core::array< T, TAlloc >::push_back().

SMD3QuaternionTag& irr::scene::SMD3QuaternionTagList::operator[] | ( | u32 | index | ) | `[inline]`

Definition at line 255 of file IAnimatedMeshMD3.h.

const SMD3QuaternionTag& irr::scene::SMD3QuaternionTagList::operator[] | ( | u32 | index | ) | const`[inline]`

Definition at line 250 of file IAnimatedMeshMD3.h.

void irr::scene::SMD3QuaternionTagList::push_back | ( | const SMD3QuaternionTag & | other | ) | `[inline]`

Definition at line 260 of file IAnimatedMeshMD3.h.

void irr::scene::SMD3QuaternionTagList::set_used | ( | u32 | new_size | ) | `[inline]`

Definition at line 239 of file IAnimatedMeshMD3.h.

References irr::core::array< T, TAlloc >::size().

u32 irr::scene::SMD3QuaternionTagList::size | ( |  | ) | const`[inline]`

Definition at line 234 of file IAnimatedMeshMD3.h.

The documentation for this struct was generated from the following file:

- IAnimatedMeshMD3.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:13 2010 by Doxygen (1.6.2)